Lavalite package that provides newsletter management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `chemical/newsletter`.

    "chemical/newsletter": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Chemical\Newsletter\Providers\NewsletterServiceProvider::class,

And also add it to alias

    'Newsletter'  => Chemical\Newsletter\Facades\Newsletter::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Chemical\\NewsletterTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Chemical\Newsletter\Providers\NewsletterServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Chemical\Newsletter\Providers\NewsletterServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Chemical\Newsletter\Providers\NewsletterServiceProvider" --tag="view"


## Usage


