<?php

namespace Chemical\Newsletter\Repositories\Eloquent;

use Chemical\Newsletter\Interfaces\NewsletterRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class NewsletterRepository extends BaseRepository implements NewsletterRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('chemical.newsletter.newsletter.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('chemical.newsletter.newsletter.model.model');
    }
}
